- Cal3D 0.11 API Reference -

Public Member Functions | Public Attributes | List of all members
CalMatrix Class Reference

The matrix class. More...

`#include <matrix.h>`

## Public Member Functions

| CalMatrix (const CalQuaternion &q)
| Constructs the matrix instance.
| CalMatrix (float weight, const CalMatrix &m)
void | operator= (const CalQuaternion &q)
| Quaternion to Matrix Conversion.
void | operator= (const CalMatrix &m)
void | operator*= (const CalMatrix &m)
void | operator*= (float factor)
void | blend (float factor, const CalMatrix &m)
float | det ()

## Public Attributes

float | dxdx
float | dydx
float | dzdx
float | dxdy
float | dydy
float | dzdy
float | dxdz
float | dydz
float | dzdz

## Detailed Description

The matrix class.

## Constructor & Destructor Documentation

## ◆ CalMatrix()

CalMatrix::CalMatrix | ( | const CalQuaternion & | q | ) |

Constructs the matrix instance.

This function is the default constructor of the matrix instance. Destructs the matrix instance.

This function is the destructor of the matrix instance. Copying a Matrix

This function copies one matrix into another. Quaternion to Matrix Conversion Constructor

This function converts a quaternion into a rotation matrix.

## Member Function Documentation

## ◆ operator=()

void CalMatrix::operator= | ( | const CalQuaternion & | q | ) |

Quaternion to Matrix Conversion.

This function converts a quaternion into a rotation matrix.

The documentation for this class was generated from the following files:

- matrix.h
- matrix.cpp

Generated by The Cal3D Team with Doxygen 1.15.0